## cloop 0.63.1-4

=== Makefile ===
#!/usr/bin/make

KERNEL_DIR=/usr/src/linux

CFLAGS:=-Wall -O2 -s -I.
CKERNOPS:=-fomit-frame-pointer -D__KERNEL__ -DMODULE -I$(KERNEL_DIR)/include

ifndef APPSONLY
include $(KERNEL_DIR)/.config
endif

ifdef CONFIG_MODVERSIONS
MODVERSIONS:= -DMODVERSIONS -include $(KERNEL_DIR)/include/linux/modversions.h
CKERNOPS += $(MODVERSIONS)
endif

# Check for SMP in config and #define __SMP__ if necessary.
# This is ESSENTIAL when compiling a SMP version of cloop.o
# Otherwise, the module will block the entire block buffer management on read.

ifdef CONFIG_SMP
CKERNOPS += -D__SMP__
endif

KERNOBJ:=compressed_loop.o

all: zcode cloop.o create_compressed_fs extract_compressed_fs

zcode: zlib-1.1.3/adler32.o zlib-1.1.3/uncompr.o zlib-1.1.3/trees.o zlib-1.1.3/zutil.o zlib-1.1.3/inflate.o zlib-1.1.3/infblock.o zlib-1.1.3/inftrees.o zlib-1.1.3/infcodes.o zlib-1.1.3/infutil.o zlib-1.1.3/inffast.o

cloop.o: compressed_loop.o
	$(LD) -r -o $@ $^ zlib-1.1.3/libz.a

create_compressed_fs: create_compressed_fs.o
	$(CC) -o $@ $< zlib-1.1.3/libz.a

extract_compressed_fs: extract_compressed_fs.o
	$(CC) -o $@ $< zlib-1.1.3/libz.a

zlib-1.1.3/%.o:
	$(MAKE) -C zlib-1.1.3/ CFLAGS="-O2 -DNO_MEMCPY"

clean:
	rm -f cloop.o $(KERNOBJ) create_compressed_fs extract_compressed_fs zoom *.o
	$(MAKE) -C zlib-1.1.3/ clean

dist: clean
	cd .. ; \
	tar -cf - cloop/{Makefile,*.[ch],zlib-1.1.3,CHANGELOG,README} | \
	bzip2 -9 > $(HOME)/redhat/SOURCES/cloop.tar.bz2

zlib-1.1.3/%.o:
	$(MAKE) -C zlib-1.1.3/ CFLAGS="-O2 -DNO_MEMCPY"

$(KERNOBJ): %.o : %.c
	$(CC) $(CFLAGS) $(CKERNOPS) $< -c -o $@

compressed_loop.o create_compressed_fs.o: compressed_loop.h

=== debian/changelog ===
cloop (0.63.1-4) unstable; urgency=low

  * Adopted version numbering and changes-generator from lm-sensors/pcmcia-cs,
    now ready to build official modules packages
  * Changed all Maintainer entries to my person

 -- Eduard Bloch <blade@debian.org>  Wed, 13 Mar 2002 11:25:16 +0100

cloop (0.63.1-3) unstable; urgency=high

  * patched the embedded zlib source with 010_doublefree_crash from zlib source

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Mar 2002 16:56:21 +0100

cloop (0.63-2) unstable; urgency=low

  * "new" maintainer (adopted the package completely)
  * Added a kdist rule, needed by make-kpkg in some cases. Closes: #130320
  * A small hack to modify the version info with the target kernel

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Jan 2002 19:52:34 +0100

cloop (0.63-1.1) unstable; urgency=low

  * merged with the debconf dialog changes
  * make a check for existance of /dev/cloop in postinst

 -- Eduard Bloch <blade@debian.org>  Wed, 26 Dec 2001 17:48:05 +0100

cloop (0.63-1) unstable; urgency=low

  * Bugfix release, fixed request_queue mess.

 -- Klaus Knopper <cloop@knopper.net>  Mon, 25 Dec 2001 04:08:58 +0200

cloop (0.62-2) unstable; urgency=low

  * Rewrite of the build system, reused for modules source package.
  * Dropped unused source parts from the zlib source.
  * copyright file: added reference to the GPL file, comment about usage
    of zlib stuff and its copyright notice
  * wrote manpage
  * moved executables to /usr/bin, not administrative/system programs

 -- Eduard Bloch <blade@debian.org>  Fri, 30 Nov 2001 14:24:29 +0100

cloop (0.62-1) unstable; urgency=low

  * Added GPL License code for Kernel 2.4.9 and up

 -- Klaus Knopper <cloop@knopper.net>  Thu, 15 Nov 2001 04:08:58 +0200

cloop (0.61-1) unstable; urgency=low

  * Checking filp_open() for IS_ERR() to prevent oopses for nonexistent files
  * Cleanup of create_compressed_fs.c for newer version of gcc

 -- Klaus Knopper <cloop@knopper.net>  Tue, 31 Jul 2001 04:08:58 +0200

cloop (0.60-1) unstable; urgency=low

  * improved 2.4.x read handling vir do_generic_file_read()

 -- Klaus Knopper <cloop@knopper.net>  Fri,  8 Jun 2001 04:08:58 +0200

cloop (0.51-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <cloop@knopper.net>  Thu,  7 Jun 2001 04:08:58 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
Standards-Version: 3.5.2

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

Package: cloop-src
Architecture: all
Depends: zlib1g-dev
Recommends: kernel-package
Description: Source of the compressed loopback device module
 This package contains a source package for building the the cloop module.
 You can use make-kpkg to build a modules package for specific kernel.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SHELL=/bin/bash

# This is the debhelper compatability version to use.
export DH_COMPAT=3

ifdef KDREV
FULLVER := $(shell dpkg-parsechangelog |grep ^Version | cut -f2 -d' ')+$(KDREV)
DEBDEP := (= $(KDREV))
else
FULLVER := $(shell dpkg-parsechangelog |grep ^Version | cut -f2 -d' ')
DEBDEP :=
endif

#defining some values
TARGETDIR=lib/modules/$(KVERS)/kernel/drivers/block

# this is the modules package target
ifdef KSRC
MOD_DESTDIR := --destdir=$(KSRC)/..
endif

ifeq ($(shell ls knoppix 2>/dev/null|| true ),knoppix)
# Good morning Mr. Knopper, using your settings
TARGETDIR=lib/modules/`uname -r`/kernel/drivers/block
KVERS := module
KSRC := /usr/src/linux
MOD_DESTDIR := --destdir=$(CURDIR)/..
binary: forknoppix
else
binary: binary-indep binary-arch
endif

gencontrol= sed 's/\#KVERS\#/$(KVERS)/g' | sed 's/\#DEBDEP\#/$(DEBDEP)/g'  > $(CURDIR)/debian/control

forknoppix:
	debian/rules clean ; debian/rules binary-indep ; debian/rules binary-arch ; debian/rules clean ; debian/rules kdist_image

kdist_clean: clean

kdist_configure:
	dh_testdir
	cat debian/{control.head,control.mod} | $(gencontrol)
	cp debian/templates.template debian/cloop-$(KVERS).templates
	cp debian/cloop.postinst.template debian/cloop-$(KVERS).postinst
	cp debian/cloop.config.template debian/cloop-$(KVERS).config

configure: configure-stamp
configure-stamp:
	dh_testdir
	cat debian/{control.head,control.utils,control.src} | $(gencontrol)
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) zcode create_compressed_fs extract_compressed_fs APPSONLY=yes
	touch build-stamp

build-mod: kdist_configure
	dh_testdir
	$(MAKE) zcode cloop.o KERNEL_DIR=$(KSRC)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean APPSONLY=yes
	-dh_clean
	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/*.files

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-utils usr/bin
	install -m 755 create_compressed_fs  $(CURDIR)/debian/cloop-utils/usr/bin/
	install -m 755 extract_compressed_fs $(CURDIR)/debian/cloop-utils/usr/bin/
	dh_installman debian/create_compressed_fs.1
	cd debian/cloop-utils/usr/share/man/man1 && ln -s create_compressed_fs.1.gz extract_compressed_fs.1.gz

install-mod: build-mod
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-$(KVERS) $(TARGETDIR)
	install -m 644 cloop.o $(CURDIR)/debian/cloop-$(KVERS)/$(TARGETDIR)
	rm cloop.o compressed_loop.o

install-src: configure-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-src usr/src/modules/cloop
	-cd zlib-1.1.3; make clean
	echo $$UID
	tar -cf - {Makefile,*.[ch],debian/{control*,copyright,rules,dirs,postrm,README.Debian,templates.template,cloop.postinst.template,cloop.config.template,changelog,genchanges.sh},CHANGELOG,README,zlib-1.1.3} | tar -x -C debian/cloop-src/usr/src/modules/cloop
	dh_fixperms -i
	cd debian/cloop-src/usr/src ; tar -cf - modules | gzip -9 > cloop.tar.gz ; rm -rf modules

binary-arch: build install build-deb

binary-indep: install-src build-indep

kdist_targets: clean build-mod install-mod build-deb

kdist_image: kdist_targets clean

kdist: kdist_targets
	# Build a .changes file.
	KVERS="$(KVERS)" KSRC="$(KSRC)" KMAINT="$(KMAINT)" \
				 REV="$(KDREV)" KEMAIL="$(KEMAIL)" sh -v debian/genchanges.sh
	# Only now can we clean up.
	debian/rules clean

build-deb:
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README debian/README.Debian
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs CHANGELOG -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- -v$(FULLVER)
	dh_md5sums -a
	dh_builddeb -a $(MOD_DESTDIR)

build-indep: configure-stamp install-src
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i README debian/README.Debian
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
	dh_installinfo -i
	dh_installchangelogs CHANGELOG -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist

## cloop 2.01.4

=== advancecomp-1.9_create_compressed_fs/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# CPU = -mcpu=athlon-xp
CPU =

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/advancecomp
pkglibdir = $(libdir)/advancecomp
pkgincludedir = $(includedir)/advancecomp
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run aclocal-1.7
AMTAR = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run tar
AUTOCONF = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run autoconf
AUTOHEADER = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run autoheader
AUTOMAKE = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run automake-1.7
AWK = gawk
CC = gcc
CFLAGS = $(CPU) -g -O3 -DUSE_ERROR_SILENT -DUSE_COMPRESS
COL = col
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXFLAGS = $(CPU) -g -O3 -DUSE_ERROR_SILENT -DUSE_COMPRESS
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GROFF = groff
GZIP = gzip
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run makeinfo
OBJEXT = o
PACKAGE = advancecomp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = AdvanceCOMP
PACKAGE_STRING = AdvanceCOMP 1.9
PACKAGE_TARNAME = advancecomp
PACKAGE_VERSION = 1.9
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
TAR = tar
VERSION = 1.9
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_STRIP = 
am__leading_dot = .
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/knopper/advancecomp-1.9_create_compressed_fs/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

bin_PROGRAMS = advzip advpng advmng advdef advfs

advzip_SOURCES = \
	rezip.cc \
	zip.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	zipsh.cc \
	getopt.c \
	snprintf.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


advpng_SOURCES = \
	repng.cc \
	pngex.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


advmng_SOURCES = \
	remng.cc \
	pngex.cc \
	mngex.cc \
	scroll.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/mng.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


advdef_SOURCES = \
	redef.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


advfs_SOURCES = \
	advfs.cc \
	utility.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc


EXTRA_DIST = \
	README AUTHORS HISTORY INSTALL COPYING \
	doc/advdef.d doc/advzip.d doc/advpng.d doc/advmng.d doc/history.d doc/readme.d doc/authors.d doc/install.d \
	doc/advdef.1 doc/advzip.1 doc/advpng.1 doc/advmng.1 doc/history.1 doc/readme.1 doc/authors.1 doc/install.1 \
	doc/advdef.txt doc/advzip.txt doc/advpng.txt doc/advmng.txt doc/history.txt doc/readme.txt doc/authors.txt doc/install.txt \
	doc/advdef.html doc/advzip.html doc/advpng.html doc/advmng.html doc/history.html doc/readme.html doc/authors.html doc/install.html \
	configure.msdos configure.windows autogen.sh noautomake.sh \
	7z/README \
	check.lst \
	test/mappy.png \
	test/mappy.mng \
	test/basn2c08.png \
	test/basn3p01.png \
	test/basn3p02.png \
	test/basn3p04.png \
	test/basn3p08.png \
	test/basn6a08.png


noinst_HEADERS = \
	snprintf.c \
	pngex.h \
	mngex.h \
	scroll.h \
	compress.h \
	utility.h \
	zip.h \
	except.h \
	siglock.h \
	portable.h \
	lib/png.h \
	lib/mng.h \
	lib/fz.h \
	lib/endianrw.h \
	lib/error.h \
	lib/snstring.h \
	lib/extra.h \
	7z/7z.h \
	7z/AriBitCoder.h \
	7z/AriConst.h \
	7z/AriPrice.h \
	7z/BinTree.h \
	7z/BinTree2.h \
	7z/BinTree2Main.h \
	7z/BinTree3.h \
	7z/BinTree3Main.h \
	7z/BinTree3Z.h \
	7z/BinTree3ZMain.h \
	7z/BinTree4.h \
	7z/BinTree4Main.h \
	7z/BinTree4b.h \
	7z/BinTree4bMain.h \
	7z/BinTreeMF.h \
	7z/BinTreeMFMain.h \
	7z/BinTreeMain.h \
	7z/BitTreeCoder.h \
	7z/CRC.h \
	7z/Const.h \
	7z/DeflateDecoder.h \
	7z/DeflateEncoder.h \
	7z/HuffmanDecoder.h \
	7z/HuffmanEncoder.h \
	7z/IInOutStreams.h \
	7z/InByte.h \
	7z/LSBFDecoder.h \
	7z/LSBFEncoder.h \
	7z/LZMA.h \
	7z/LZMADecoder.h \
	7z/LZMAEncoder.h \
	7z/LenCoder.h \
	7z/LiteralCoder.h \
	7z/OutByte.h \
	7z/Portable.h \
	7z/RCDefs.h \
	7z/RangeCoder.h \
	7z/WindowIn.h \
	7z/WindowOut.h


man_MANS = doc/advdef.1 doc/advzip.1 doc/advpng.1 doc/advmng.1

DISTDOS_ROOT = \
	doc/readme.txt doc/authors.txt doc/history.txt doc/copying.txt \
	advdef.exe advzip.exe advpng.exe advmng.exe


DISTDOS_DOC = \
	doc/advdef.txt doc/advzip.txt doc/advpng.txt doc/advmng.txt \
	doc/readme.txt doc/authors.txt doc/history.txt \
	doc/advdef.html doc/advzip.html doc/advpng.html doc/advmng.html \
	doc/readme.html doc/authors.html doc/history.html 


DISTWEB = \
	doc/advdef.hh doc/advzip.hh doc/advpng.hh doc/advmng.hh doc/history.hh

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = advzip$(EXEEXT) advpng$(EXEEXT) advmng$(EXEEXT) \
	advdef$(EXEEXT) advfs$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_advdef_OBJECTS = redef.$(OBJEXT) utility.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	pngex.$(OBJEXT) fz.$(OBJEXT) error.$(OBJEXT) snstring.$(OBJEXT) \
	png.$(OBJEXT) mng.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advdef_OBJECTS = $(am_advdef_OBJECTS)
advdef_LDADD = $(LDADD)
advdef_DEPENDENCIES =
advdef_LDFLAGS =
am_advfs_OBJECTS = advfs.$(OBJEXT) utility.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	pngex.$(OBJEXT) fz.$(OBJEXT) error.$(OBJEXT) snstring.$(OBJEXT) \
	png.$(OBJEXT) mng.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advfs_OBJECTS = $(am_advfs_OBJECTS)
advfs_LDADD = $(LDADD)
advfs_DEPENDENCIES =
advfs_LDFLAGS =
am_advmng_OBJECTS = remng.$(OBJEXT) pngex.$(OBJEXT) mngex.$(OBJEXT) \
	scroll.$(OBJEXT) utility.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	fz.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) error.$(OBJEXT) \
	snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) \
	AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) \
	OutByte.$(OBJEXT) WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advmng_OBJECTS = $(am_advmng_OBJECTS)
advmng_LDADD = $(LDADD)
advmng_DEPENDENCIES =
advmng_LDFLAGS =
am_advpng_OBJECTS = repng.$(OBJEXT) pngex.$(OBJEXT) utility.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) getopt.$(OBJEXT) \
	snprintf.$(OBJEXT) fz.$(OBJEXT) png.$(OBJEXT) error.$(OBJEXT) \
	snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) \
	AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) \
	OutByte.$(OBJEXT) WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advpng_OBJECTS = $(am_advpng_OBJECTS)
advpng_LDADD = $(LDADD)
advpng_DEPENDENCIES =
advpng_LDFLAGS =
am_advzip_OBJECTS = rezip.$(OBJEXT) zip.$(OBJEXT) utility.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) zipsh.$(OBJEXT) \
	getopt.$(OBJEXT) snprintf.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \

## cloop 2.01.5

=== Makefile ===
#!/usr/bin/make

KERNEL_DIR=/usr/src/linux

ifdef APPSONLY
CFLAGS:=-Wall -Wstrict-prototypes -Wno-trigraphs -O2 -s -I. -fno-strict-aliasing -fno-common -fomit-frame-pointer 
else
include $(KERNEL_DIR)/.config
include $(KERNEL_DIR)/conf.vars
endif

CKERNOPS:=-D__KERNEL__ -DMODULE -fno-builtin -nostdlib -DKBUILD_MODNAME="cloop" -DKBUILD_BASENAME="cloop"

ifdef CONFIG_MODVERSIONS
MODVERSIONS:= -DMODVERSIONS -include $(KERNEL_DIR)/include/linux/modversions.h
CKERNOPS += $(MODVERSIONS)
endif

# Check for SMP in config and #define __SMP__ if necessary.
# This is ESSENTIAL when compiling a SMP version of cloop.o
# Otherwise, the module will block the entire block buffer management on read.

ifdef CONFIG_SMP
CKERNOPS += -D__SMP__
endif

KERNOBJ:=compressed_loop.o

# Name of module
ifeq ($(PATCHLEVEL),6)
MODULE:=cloop.ko
else
MODULE:=cloop.o
endif

ALL_TARGETS = create_compressed_fs extract_compressed_fs
ifndef APPSONLY
ALL_TARGETS += $(MODULE)
endif

all: $(ALL_TARGETS)

$(MODULE): compressed_loop.o
	@echo "Building for Kernel Patchlevel $(PATCHLEVEL)"
	$(LD) -r -o $@ $^
#Old:	$(CC) -o $@ $< -lz

create_compressed_fs: advancecomp-1.9_create_compressed_fs/advfs
	ln -f $< $@

advancecomp-1.9_create_compressed_fs/advfs:
	( $(MAKE) -C advancecomp-1.9_create_compressed_fs advfs )


extract_compressed_fs: extract_compressed_fs.o
	$(CC) -o $@ $< -lz

clean:
	rm -f $(KERNOBJ) create_compressed_fs extract_compressed_fs zoom *.o *.ko
	$(MAKE) -C advancecomp-1.9_create_compressed_fs clean

dist: clean
	cd .. ; \
	tar -cf - cloop/{Makefile,*.[ch],CHANGELOG,README} | \
	bzip2 -9 > $(HOME)/redhat/SOURCES/cloop.tar.bz2

# There must be a better way to handle this
$(KERNOBJ): %.o : %.c
	$(CC) -I$(KERNEL_DIR)/include -I$(KERNEL_DIR)/include/asm/mach-default $(CFLAGS) $(CKERNOPS) $< -c -o $@

compressed_loop.o create_compressed_fs.o: compressed_loop.h

## cloop 2.02.1+eb.10ubuntu2

=== debian/changelog ===
cloop (2.02.1+eb.10ubuntu2) dapper; urgency=low

  * Drop build-dependency on g++-3.4 on amd64/ia64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Feb 2006 01:51:43 +0000

cloop (2.02.1+eb.10ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 11 Nov 2005 15:17:48 +0100

cloop (2.02.1+eb.10) unstable; urgency=low

  * synch with Ubuntu: fixes interaction with devmapper layer in the driver.
    Thanks for telling me, it is a "great" feeling doing duplicated work!
  * cloop-node-control.sh: better ssh options, not allocating pseudo tty,
    should help on AIX
  * simple fixes to compile advfs.cc on AIX
  * added sv.po by Daniel Nylander (closes: #331306)

 -- Eduard Bloch <blade@debian.org>  Thu, 06 Oct 2005 12:48:16 +0200

cloop (2.02.1+eb.8) unstable; urgency=low

  * create_compressed_fs bugfixes
    + correct identification of IP numbers, no longer confusing with the
      compatible option syntax
    + cygwin workarounds in the recv calls

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Sep 2005 18:25:37 +0200

cloop (2.02.1+eb.7) unstable; urgency=low

  * -L option for direct compression level choice
  * network protocol sligthly changed to create less overhead, also setting
    TCP_NODELAY option
  * cygwin build fixes

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Sep 2005 18:21:59 +0200

cloop (2.02.1+eb.6) unstable; urgency=medium

  * added correct KERNELVERSION to kernel make flags (closes: #327792)

 -- Eduard Bloch <blade@debian.org>  Thu, 22 Sep 2005 16:22:41 +0200

cloop (2.02.1+eb.5) unstable; urgency=medium

  * fixed the option parser to correctly read the nodes list and use -B for
    best, not -b (the blocksize)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 22:49:59 +0200

cloop (2.02.1+eb.4) unstable; urgency=low

  * made option parser be more relaxed WRT old command syntax
  * updated manpage to reflect the new command and driver features

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 22:48:17 +0200

cloop (2.02.1+eb.3) unstable; urgency=low

  * advfs troughput message display frequency fixed, added ETA info
  * added experimental feature: splitting output into chunks of specified size
    like with split(1) (however without stdout mode with its problems)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 00:14:34 +0200

cloop (2.02.1+eb.2) unstable; urgency=low

  * Added EXTRA_CFLAGS to work around a weird FTBFS with kernel-headers-2.6.*
    packages, still looks like a bug _there_

 -- Eduard Bloch <blade@debian.org>  Thu, 08 Sep 2005 19:47:51 +0200

cloop (2.02.1+eb.1) experimental; urgency=low

  * rewrote advfs (multithreaded, network client/server feature and better
    memory/storage strategies), see header of advfs.cc for details
  * made the package native until the sync with KK (or maybe longer)
  * integrated advancecomp-1.14, separated the advfs add-on from the main
    package and stored it as a patch
  * dropped the advfs symlink, creating one was Debian specific and bad idea
    anyways. It is installed as create_compressed_fs as usual now.
  * removed cruft (.postinst file that has been overwritten anyways)

 -- Eduard Bloch <blade@debian.org>  Fri, 02 Sep 2005 21:40:36 +0200

cloop (2.02.1-1) unstable; urgency=low

  * New upstream release
    + sync with Knoppix version, version string relabeled as usual
  * rewrote the Makefile making use of kernel 2.6 build system, created
    proper install rules (I should have done this already for #288941). The
    strange problem with /usr/src/linux on kernel 2.4 should also go away
    (closes: #322360)
  * old versions of cloop module source removed (discontinued, they are not
    compatible with kernel 2.6 anyways). Get the packages from Stable if you
    need to read really old KNOPPIX images. (closes: #259699)
  * changelog cleanup, replaced Klaus' invalid local mail addresses
  * control file generations cleanup, dropped the old junk in favor of
    module-assistant's methods
  * updated and simplified (m-a) README.Debian instructions
  * using bzip2 for the source tarball
  * fixed the templates file installation in the modules packages
  * added Vietnamese translation by Clytie Siddall (closes: #313361)
  * added pt_BT translation by Rodrigo Tadeu Claro and Andre Luis Lopes
    (closes: #303675)
  * removed an "a" forgotten in plural form (closes: #313360), thanks Clytie
  * advfs patch to use a temporary file rather than memory by Sebastian
    Schmidt (closes: #297453)

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 22:57:46 +0200

cloop (2.01.5-4) unstable; urgency=low

  * patch to fix Large File support in directly specified cloop volumes and
    cleanup device configuration on errors (closes: #298111)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Mar 2005 11:33:36 +0100

cloop (2.01.5-3) unstable; urgency=medium

  * made regular expression in Makefile more strict (no more false kernel-2.6
    detection, closes: #290957)
  * patch for amd64 from Andreas Jochens <aj@andaco.de> (closes: #288941)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Feb 2005 11:06:10 +0100

cloop (2.01.5-2ubuntu5) breezy; urgency=low

  * On amd64 and ia64 build using gcc-3.4/g++-3.4.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 May 2005 01:13:55 +0200

cloop (2.01.5-2ubuntu4) breezy; urgency=low

  * Fix FTBFS with g++-3.4/g++-4.0.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 May 2005 17:13:22 +0000

cloop (2.01.5-2ubuntu3) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 May 2005 15:40:43 +0000

cloop (2.01.5-2ubuntu2) hoary; urgency=low

  * Fixed bug #5376, assumption that sizeof(int) == sizeof(long) which
    is true for i386, but breaks on 64 bit systems

 -- Charles Majola <charles@hbd.com>  Tue, 11 Jan 2005 16:06:15 +0200

cloop (2.01.5-2ubuntu1) hoary; urgency=low

  * removed cloop.ko since they are in the kernel. 
  * removed src extra package, cloop-utils are ready for main


=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev, bzip2
Standards-Version: 3.6.2.1

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecturendependent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SHELL=/bin/bash

#DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 ia64))
#  export CC=gcc-3.4
#  export CXX=g++-3.4
#endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) utils
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	-dh_clean
	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix

binary-indep: build install

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-utils usr/bin
	install -m 755 create_compressed_fs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 advancecomp-1.9_create_compressed_fs/advfs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 compressloop          $(CURDIR)/debian/cloop-utils/usr/bin/
	install -m 755 extract_compressed_fs $(CURDIR)/debian/cloop-utils/usr/bin/
	dh_installman -p cloop-utils $(CURDIR)/debian/create_compressed_fs.1
	cd $(CURDIR)/debian/cloop-utils/usr/share/man/man1 && ln -sf create_compressed_fs.1 extract_compressed_fs.1 && ln -sf create_compressed_fs.1 advfs.1
	cd debian/cloop-utils/usr/share/man/man1 && ln -s create_compressed_fs.1.gz extract_compressed_fs.1.gz

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist
.NOTPARALLEL:

## cloop 2.04-1%2Beb.1-7

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SHELL=/bin/bash

PACKAGE=cloop-module
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.mk
-include $(MA_DIR)/include/common-rules.mk

binary: binary-indep binary-arch

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) utils
	touch build-stamp

# for m-a
kdist_clean: clean
kdist_config: kdist_configure
kdist_configure: prep-deb-files

binary-modules: kdist_configure
	$(MAKE) module KERNEL_DIR=$(KSRC)  KVERSION=$(KVERS)
	dh_installdirs -p $(PKGNAME) lib/modules/$(KVERS)/extra 
	cp *.ko $(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/extra 
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README debian/README.Debian
	dh_installchangelogs CHANGELOG -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a -- -v$(VERSION)
	dh_md5sums -a
	dh_builddeb -a --destdir=$(DEB_DESTDIR)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	-dh_clean
	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-utils usr/bin
	install -m 755 create_compressed_fs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 advancecomp-1.9_create_compressed_fs/advfs  $(CURDIR)/debian/cloop-utils/usr/bin/
#	install -m 755 compressloop          $(CURDIR)/debian/cloop-utils/usr/bin/
	install -m 755 extract_compressed_fs $(CURDIR)/debian/cloop-utils/usr/bin/
	dh_installman -p cloop-utils $(CURDIR)/debian/create_compressed_fs.1
	cd $(CURDIR)/debian/cloop-utils/usr/share/man/man1 && ln -sf create_compressed_fs.1 extract_compressed_fs.1 && ln -sf create_compressed_fs.1 advfs.1
#	dh_installman $(CURDIR)/debian/compressloop.1
	cd debian/cloop-utils/usr/share/man/man1 && ln -s create_compressed_fs.1.gz extract_compressed_fs.1.gz

install-src: configure-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p cloop-src usr/src/modules/cloop
	echo $$UID
	tar -cf - {Makefile,*.[ch],debian/{po,compat,*template*,control*,copyright,rules,dirs,*_KVERS_*,README.Debian,changelog},CHANGELOG,README} | tar -x -C debian/cloop-src/usr/src/modules/cloop
	dh_fixperms -i
	cd debian/cloop-src/usr/src ; tar -cf - modules | bzip2 -9 > cloop.tar.bz2 ; rm -rf modules

binary-arch: build install build-deb

binary-indep: install-src build-indep

build-deb:
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a README debian/README.Debian
	dh_installexamples -a cloop-node-control.sh
	dh_installchangelogs CHANGELOG -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

build-indep: configure-stamp install-src
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i README debian/README.Debian
	dh_installexamples -i
	dh_installchangelogs CHANGELOG -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: build clean binary-indep binary-arch binary kdist kdist_image kdist_configure kdist_clean kdist
.NOTPARALLEL:

## cloop 2.04-1+eb.1-7

=== debian/changelog ===
cloop (2.04-1+eb.1-7) unstable; urgency=low

  * disabled debugging output (ooops...)
  * another ugly bug identified by Andreas Krüger (thanks!), broken offset
    index generation in tempfile mode (closes: #382762)
  * Makefile fixes to adapt to new advfs.cc path
  * manpage patch from Andreas to explain extract_compressed_fs usage applied
    (closes: #382765) and SGML format fixes

 -- Eduard Bloch <blade@debian.org>  Sun, 13 Aug 2006 12:43:44 +0200

cloop (2.04-1+eb.1-6) unstable; urgency=low

  * updated advancecomp to 1.15, better documenting (diff) modifications used
    to implant advfs.cc
  * bugfixes in advfs.cc:
    - recognice -m/-f with standard output (closes: #382611)
    - compressing block selection, could get stuck in rare cases

 -- Eduard Bloch <blade@debian.org>  Sat, 12 Aug 2006 13:26:53 +0200

cloop (2.04-1+eb.1-5) unstable; urgency=low

  * not using the install-module rule from the Makefile, installing module
    explicitely (closes: #381639)
  * added debian/compat to the modules tarball
  * fixed broken macros in Millan's patch (closes: #381626)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Aug 2006 19:04:28 +0200

cloop (2.04-1+eb.1-4) unstable; urgency=low

  * Dirty little optimisation of the block-for-compression selection

 -- Eduard Bloch <blade@debian.org>  Wed,  2 Aug 2006 23:53:05 +0200

cloop (2.04-1+eb.1-3) unstable; urgency=low

  * rewrite of the work control in multithreaded advfs/create_compressed_fs,
    now definitely not adding a zero block on aligned data (closes: #296179)
  * fixed a memory leak in "best" mode and better control for memory
    allocation now (finally closes: #164015 and hopefully closes: #380384,
    reopen if it doesn't)
  * added pt.po (closes: #337546)
  * added GNU/kFreeBSD porting patch from Robert Millan (closes: #335872)

 -- Eduard Bloch <blade@debian.org>  Wed, 02 Aug 2006 23:51:14 +0200

cloop (2.04-1+eb.1-2) unstable; urgency=low

  * removed obsolete CFLAGS from the Makefile, confused current kernel build
    system, plus some user hints added.
  * compressed_loop.c: removed all conditional blocks with workarounds for
    kernel << 2.6.8, including kernel 2.4 related junk. Gets the correct
    module name now and no compiler warnings anymore. Fixed intendation.
  * debian/control: removed some old cruft, updated to debhelper 5, updated
    Standards-Version.

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Jul 2006 19:17:18 +0200

cloop (2.04-1+eb.1-1) unstable; urgency=low

  * Sync my modified version with 2.04.1
    + fixes for 2.6.17 changes (closes: #376713)
  * fixes for compilatin with 2.6.18-rc2 (disabling devfs)
  * -s -> -S in create_compressed_fs help output (closes: #360764)

 -- Eduard Bloch <blade@debian.org>  Thu, 27 Jul 2006 19:19:30 +0200

cloop (2.04-1) unstable; urgency=low

  * Fixed a memory leak when changing loop files.

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 14 May 2006 20:06:23 +0200

cloop (2.03-2) unstable; urgency=low

  * Fixed KBUILD_BASENAME string quotes

 -- Klaus Knopper <knoppix@knopper.net>  Sun, 23 Apr 2006 10:02:10 +0200

cloop (2.03-1) unstable; urgency=low

  * Use dynamic major device allocation in case we can't get block device 240
  * devfs cleanups

 -- Klaus Knopper <knoppix@knopper.net>  Fri, 17 Feb 2006 10:28:17 +0100

cloop (2.02.1+eb.11) UNRELEASED; urgency=low

  * NOT RELEASED YET
  * minor fixes in manpage and help output

 -- Eduard Bloch <blade@debian.org>  Thu,  6 Oct 2005 12:52:48 +0200

## cloop 2.05~20060829-1ubuntu2

=== debian/changelog ===
cloop (2.05~20060829-1ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:13:42 +0000

cloop (2.05~20060829-1ubuntu1) feisty; urgency=low

  * Merge with Debian unstable; remaining changes:
    - Do not build the cloop-src package.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  4 Dec 2006 15:38:05 +0100

cloop (2.05~20060829-1) unstable; urgency=low

  * Merged with Klaus' unreleased version 2.05, compiles with >> 2.6.18.1.
  * Added more paranoid check for unreadable initial file passed as parameter,
    aborting earlier.
  * added forgotten isofs block factor in mkisofs/genisoimage examples and
    typo fixes
  * better description of the compatibility option mode
  * set _FILE_OFFSET_BITS to 64 in advfs.cc

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Dec 2006 19:19:05 +0100

## cloop 2.05~20060829-1.1ubuntu1

=== Makefile ===
#!/usr/bin/make

KVERSION=$(shell uname -r)
KERNEL_DIR=/lib/modules/$(KVERSION)/build

DESTDIR=/usr/local
#INSTALL_MOD_PATH:=/tmp

# Add compressloop when it has been fixed
APPS=create_compressed_fs extract_compressed_fs

all: utils module
install: install-utils install-module

utils: $(APPS)

install-utils: utils
	mkdir -p $(DESTDIR)/bin
	install -m0755 $(APPS) $(DESTDIR)/bin

create_compressed_fs: advancecomp-1.15/advfs
	ln -f $< $@

advancecomp-1.15/advfs: advancecomp-1.15/config.status advfs.cc
	$(MAKE) -C advancecomp-1.15 advfs

advancecomp-1.15/config.status:
	cd advancecomp-1.15 && ./configure

advancecomp-1.15:
	@test -e advancecomp-1.15 || (echo advancecomp-1.15 missing, maybe you wanted to run \"make module\"? ; exit 1)
#	bzcat advancecomp-1.15.tar.bz2 | tar -f - -x
#	cd advancecomp-1.15 && bzcat ../advfs-1.15.diff.bz2 | patch -p1

clean:
	-$(MAKE) -C advancecomp-1.15 distclean
	#-$(MAKE) clean -C $(KERNEL_DIR) M=$(CURDIR)
	rm -rf create_compressed_fs extract_compressed_fs zoom *.o *.ko *.mod.c .*cmd .tmp* *symvers
	rm -f */config.status */config.log tmp

extract_compressed_fs: extract_compressed_fs.o
	$(CC) -o $@ $< -lz

dist: clean
	cd .. ; \
	tar -cf - cloop/{Makefile,*.[ch],CHANGELOG,README} | \
	bzip2 -9 > $(HOME)/redhat/SOURCES/cloop.tar.bz2

# to build packages for Knoppix
packages:
	fakeroot debian/rules binary
	cp -a . ../tmp-cloop-modbuild
	cd ../tmp-cloop-modbuild && fakeroot debian/rules binary-modules && rm -rf ../tmp-cloop-modbuild
	
#EXTRA_CFLAGS := -I $(KERNEL_DIR)/include/asm/mach-default 

obj-m := cloop.o
cloop-objs := compressed_loop.o

module: compressed_loop.h compressed_loop.c
	$(MAKE) modules -C $(KERNEL_DIR) M=$(CURDIR)

install-module: module
	$(MAKE) modules_install -C $(KERNEL_DIR) M=$(CURDIR) KERNELRELEASE=$(KVERSION)

=== debian/changelog ===
cloop (2.05~20060829-1.1ubuntu1) hardy; urgency=low

  * Merge from unstable; remaining changes:
    - Do not build the cloop-src package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Jan 2008 13:50:12 +0100

cloop (2.05~20060829-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compilation with newer kernels. (Closes: #453851)
    - Fix a call to invalidate_bdev and do not specify a second parameter.
    - bio_endio does not need a size anymore.
    - unregister_blockdev now calls printk on errors by itself, and returns
      void now.

 -- Philipp Kern <pkern@debian.org>  Sat, 12 Jan 2008 12:36:56 +0100

=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, bzip2
Standards-Version: 3.7.2

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,7 @@
 
 binary-arch: build install build-deb
 
-binary-indep: install-src build-indep
+binary-indep: build-indep
 
 build-deb:
 	dh_testdir -a
@@ -104,7 +104,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-build-indep: configure-stamp install-src
+build-indep: configure-stamp
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i README debian/README.Debian

## cloop 2.05~20060829-1.2

=== debian/changelog ===
cloop (2.05~20060829-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Spanish. Closes: #413453
  * [Lintian] Add copyright statement to debian/copyright
  * [Lintian] No longer ignore errors from "make clean"
  * [Lintian] Don't remove device files in postrm. This must be left
    to the system administrator
  * [Lintian] Removed debian/dirs that only creates an empty
    /usr/sbin directory
  * Finnish. Closes: #477823
  * Galician. Closes: #477939

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Apr 2008 07:50:30 +0200

=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, bzip2
Standards-Version: 3.7.2

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

Package: cloop-src
Architecture: all
Depends: module-assistant, debhelper (>= 5.0.37), bzip2
Suggests: linux-headers-2.6
Description: Source of the compressed loopback device module
 This package contains a source package for building the the cloop module.
 You can use make-kpkg to build a modules package for specific kernel.

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	-dh_clean
 	rm -rf debian/cloop-?.?.?* debian/cloop debian/cloop-module debian/cloop-module-?.?.* debian/*.files knoppix
 
@@ -85,7 +85,7 @@
 
 binary-arch: build install build-deb
 
-binary-indep: build-indep
+binary-indep: install-src build-indep
 
 build-deb:
 	dh_testdir -a
@@ -104,7 +104,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-build-indep: configure-stamp
+build-indep: configure-stamp install-src
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i README debian/README.Debian

## cloop 2.05~20060829-1.2ubuntu2

=== debian/changelog ===
cloop (2.05~20060829-1.2ubuntu2) intrepid; urgency=low

  * Fix another build failure with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jun 2008 12:01:40 -0400

cloop (2.05~20060829-1.2ubuntu1) intrepid; urgency=low

  * Merge from unstable; remaining changes:
    - Do not build the cloop-src package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jun 2008 11:32:08 -0400

=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,7 @@
 
 binary-arch: build install build-deb
 
-binary-indep: install-src build-indep
+binary-indep: build-indep
 
 build-deb:
 	dh_testdir -a
@@ -104,7 +104,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-build-indep: configure-stamp install-src
+build-indep: configure-stamp
 	dh_testdir -i
 	dh_testroot -i
 	dh_installdocs -i README debian/README.Debian
